linux-nvme.lists.infradead.org archive mirror
 help / color / mirror / Atom feed
From: Chaitanya Kulkarni <chaitanya.kulkarni@wdc.com>
To: linux-block@vger.kernel.org, linux-nvme@lists.infradead.org
Cc: Chaitanya Kulkarni <chaitanya.kulkarni@wdc.com>
Subject: [PATCH 4/5 blktests] nvme: test target model attribute
Date: Wed, 29 Jan 2020 15:29:20 -0800	[thread overview]
Message-ID: <20200129232921.11771-5-chaitanya.kulkarni@wdc.com> (raw)
In-Reply-To: <20200129232921.11771-1-chaitanya.kulkarni@wdc.com>

The new testcases exercises newly added cntlid [min|max] attribute for
NVMeOF target.

Signed-off-by: Chaitanya Kulkarni <chaitanya.kulkarni@wdc.com>
---
 tests/nvme/034     | 60 ++++++++++++++++++++++++++++++++++++++++++++++
 tests/nvme/034.out |  3 +++
 2 files changed, 63 insertions(+)
 create mode 100755 tests/nvme/034
 create mode 100644 tests/nvme/034.out

diff --git a/tests/nvme/034 b/tests/nvme/034
new file mode 100755
index 0000000..1a55ff9
--- /dev/null
+++ b/tests/nvme/034
@@ -0,0 +1,60 @@
+#!/bin/bash
+# SPDX-License-Identifier: GPL-2.0+
+# Copyright (c) 2017-2018 Western Digital Corporation or its affiliates.
+#
+# Test NVMeOF target cntlid[min|max] attributes.
+
+. tests/nvme/rc
+
+DESCRIPTION="Test NVMeOF target model attribute"
+QUICK=1
+
+requires() {
+	_have_program nvme && _have_modules loop nvme-loop nvmet && \
+		_have_configfs
+}
+
+test() {
+	echo "Running ${TEST_NAME}"
+
+	_setup_nvmet
+
+	local port
+	local result
+	local nvmedev
+	local loop_dev
+	local model="test~model"
+	local file_path="$TMPDIR/img"
+	local subsys_name="blktests-subsystem-1"
+
+	truncate -s 1G "${file_path}"
+
+	loop_dev="$(losetup -f --show "${file_path}")"
+
+	_create_nvmet_subsystem "${subsys_name}" "${loop_dev}" \
+		"91fdba0d-f87b-4c25-b80f-db7be1418b9e" 0 100 ${model}
+	port="$(_create_nvmet_port "loop")"
+	_add_nvmet_subsys_to_port "${port}" "${subsys_name}"
+
+	nvme connect -t loop -n "${subsys_name}"
+
+	udevadm settle
+
+	nvmedev="$(_find_nvme_loop_dev)"
+	nvme list | grep ${nvmedev}n1 | grep -q test~model
+	result=$?
+
+	nvme disconnect -n "${subsys_name}"
+
+	_remove_nvmet_subsystem_from_port "${port}" "${subsys_name}"
+	_remove_nvmet_subsystem "${subsys_name}"
+	_remove_nvmet_port "${port}"
+
+	losetup -d "${loop_dev}"
+
+	rm "${file_path}"
+
+	if [ ${result} -eq 0 ]; then
+		echo "Test complete"
+	fi
+}
diff --git a/tests/nvme/034.out b/tests/nvme/034.out
new file mode 100644
index 0000000..0a7bd2f
--- /dev/null
+++ b/tests/nvme/034.out
@@ -0,0 +1,3 @@
+Running nvme/034
+NQN:blktests-subsystem-1 disconnected 1 controller(s)
+Test complete
-- 
2.22.1


_______________________________________________
linux-nvme mailing list
linux-nvme@lists.infradead.org
http://lists.infradead.org/mailman/listinfo/linux-nvme

  parent reply	other threads:[~2020-01-29 23:30 UTC|newest]

Thread overview: 18+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-01-29 23:29 [PATCH 0/5 blktest] nvme: add cntlid and model testcases Chaitanya Kulkarni
2020-01-29 23:29 ` [PATCH 1/5 blktests] nvme: allow target subsys set cntlid min/max Chaitanya Kulkarni
2020-02-11 21:50   ` Omar Sandoval
2020-01-29 23:29 ` [PATCH 2/5 blktests] nvme: test target cntlid min cntlid max Chaitanya Kulkarni
2020-02-11 21:58   ` Omar Sandoval
2020-01-29 23:29 ` [PATCH 3/5 blktests] nvme: allow target subsys set model Chaitanya Kulkarni
2020-02-11 22:00   ` Omar Sandoval
2020-02-14  0:58     ` Chaitanya Kulkarni
2020-02-14  1:11     ` Chaitanya Kulkarni
2020-01-29 23:29 ` Chaitanya Kulkarni [this message]
2020-02-11 22:04   ` [PATCH 4/5 blktests] nvme: test target model attribute Omar Sandoval
2020-01-29 23:29 ` [PATCH 5/5 blktests] nvme: make new testcases backward compatible Chaitanya Kulkarni
2020-02-11 22:06   ` Omar Sandoval
2020-02-11 22:18     ` Chaitanya Kulkarni
2020-02-03 22:48 ` [PATCH 0/5 blktest] nvme: add cntlid and model testcases Chaitanya Kulkarni
2020-02-11 16:46   ` Chaitanya Kulkarni
2020-02-11 22:07     ` Omar Sandoval
2020-02-11 22:17       ` Chaitanya Kulkarni

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20200129232921.11771-5-chaitanya.kulkarni@wdc.com \
    --to=chaitanya.kulkarni@wdc.com \
    --cc=linux-block@vger.kernel.org \
    --cc=linux-nvme@lists.infradead.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).